Spellcast's Stpc Won't Work?

Language: JP EN DE FR
New Items
2018-08-14
users online
Forum » Windower » Support » Spellcast's stpc won't work?
Spellcast's stpc won't work?
 Asura.Nanabi
Offline
Server: Asura
Game: FFXI
user: Nanabi
Posts: 340
By Asura.Nanabi 2013-03-28 19:14:52
Link | Quote | Reply
 
I asked this on FFOchat earlier and no one seems to have this problem but me.... however after that I started looking through official forum and found one person encountered the same problem as I did.

I'm currently using windower 4, and am using the whitemage spellcast xml that has been working fine when it was running on 3.41 (http://pastebin.com/XG8bTYY3), however after I updated to windower 4, whenever I am trying to do a spell that is in stpc while the target is already placed on someone, it will automatically cast instead of just idle in doing a target check, ignoring gear swap because the target check thingie is still up hence blocking it....

Am I the only one encountering this issue?

Is there any quickfix to this or do I have to rewrite my macro book till update? o.O
 Bismarck.Moghedian
Offline
Server: Bismarck
Game: FFXI
user: Moghedian
Posts: 48
By Bismarck.Moghedian 2013-03-28 19:26:23
Link | Quote | Reply
 
Nisala said: »
Carbuncle.Nezea said: »
Ragnarok.Martel said: »
<st> macros seem to be freaking out. Spells will fire the moment you hit the macro, before letting you confirm the target.

<st>, <stpc>, and <stnpc> are affected so far. <stpt> seems fine.

I think it's a spellcast issue. Spells used from menu work fine. And the issue stops after unloading SC.

I'm experiencing the same problem :( hope it gets fixed soon since like all of my macros use these commands.

I too am experiencing this as well, not sure if it has been addressed yet. Any help would greatly be appreciated, as it seems to be the only issue I've had. I believe I've seen others credit the problem to spellcast.

Everything else works great though! Props to the Windower team for being so amazing. Keep up the fantastic work! ^^
From open beta thread.
There are posts on windower forums as well.

And my <st> does not work either. You are not alone
 Asura.Nanabi
Offline
Server: Asura
Game: FFXI
user: Nanabi
Posts: 340
By Asura.Nanabi 2013-03-28 19:34:13
Link | Quote | Reply
 
I see, that freaked me out :3

I just uninstalled my windower 4 and redownloading it atm....
Don't know why those people on FFOchat is not experiencing the same issue though, is it just a selective few's problem?

If there's anyone that's using spellcast NOT facing this problem, mind I ask what version of windows you're using? (64 or 32 bit)

I'm using windows 7 64bit.
 Shiva.Kuraneko
Offline
Server: Shiva
Game: FFXI
user: Kuraneko
Posts: 76
By Shiva.Kuraneko 2013-03-28 19:43:38
Link | Quote | Reply
 
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118
 Bismarck.Kayvindra
Offline
Server: Bismarck
Game: FFXI
user: Kayvindra
Posts: 18
By Bismarck.Kayvindra 2013-03-29 20:33:14
Link | Quote | Reply
 
Shiva.Kuraneko said: »
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118

ls mate switched back to 3.4 after hook was fixed and issue still occurring.
 Shiva.Kuraneko
Offline
Server: Shiva
Game: FFXI
user: Kuraneko
Posts: 76
By Shiva.Kuraneko 2013-04-01 16:35:55
Link | Quote | Reply
 
Bismarck.Kayvindra said: »
Shiva.Kuraneko said: »
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118

ls mate switched back to 3.4 after hook was fixed and issue still occurring.

Sorry, was passing along what I had read! But in good news it sounds like it's fixed now! See Ihm's post on the Windower 4 Open Beta thread. Mentioning it here in case folks were following this one and not the open thread.

http://www.ffxiah.com/forum/topic/36677/windower-4-open-beta/26/#2281001

Edited: due to derpy~ness and reading comprehension.
 Siren.Ihm
VIP
Offline
Server: Siren
Game: FFXI
user: Ihm
Posts: 688
By Siren.Ihm 2013-04-01 16:45:50
Link | Quote | Reply
 
Shiva.Kuraneko said: »
Bismarck.Kayvindra said: »
Shiva.Kuraneko said: »
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118

ls mate switched back to 3.4 after hook was fixed and issue still occurring.

Sorry, was passing along what I had read! But in good news it sounds like it's fixed now! See Lhm's post on the Windower 4 Open Beta thread. Mentioning it here in case folks were following this one and not the open thread.

http://www.ffxiah.com/forum/topic/36677/windower-4-open-beta/26/#2281001

Ihm >.> i not l >.> Juuuuust saying.
 Fenrir.Terminus
Offline
Server: Fenrir
Game: FFXI
user: Terminus
Posts: 3351
By Fenrir.Terminus 2013-04-01 16:46:28
Link | Quote | Reply
 
Siren.Ihm said: »
Shiva.Kuraneko said: »
Bismarck.Kayvindra said: »
Shiva.Kuraneko said: »
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118

ls mate switched back to 3.4 after hook was fixed and issue still occurring.

Sorry, was passing along what I had read! But in good news it sounds like it's fixed now! See Lhm's post on the Windower 4 Open Beta thread. Mentioning it here in case folks were following this one and not the open thread.

http://www.ffxiah.com/forum/topic/36677/windower-4-open-beta/26/#2281001

Ihm >.> i not l >.> Juuuuust saying.

|
 Shiva.Kuraneko
Offline
Server: Shiva
Game: FFXI
user: Kuraneko
Posts: 76
By Shiva.Kuraneko 2013-04-01 16:49:27
Link | Quote | Reply
 
Siren.Ihm said: »
Shiva.Kuraneko said: »
Bismarck.Kayvindra said: »
Shiva.Kuraneko said: »
From what I see it has to do with the 3.4 hook not working regardless of using 3.4 or 4. It's either not use spellcast till its fixed or endure.

https://github.com/Windower/Issues/issues/118

ls mate switched back to 3.4 after hook was fixed and issue still occurring.

Sorry, was passing along what I had read! But in good news it sounds like it's fixed now! See Lhm's post on the Windower 4 Open Beta thread. Mentioning it here in case folks were following this one and not the open thread.

http://www.ffxiah.com/forum/topic/36677/windower-4-open-beta/26/#2281001

Ihm >.> i not l >.> Juuuuust saying.

I work in design...you'd think I'd notice L v. I <.< Fiiiixed! ^^;;
 Bismarck.Zuidar
Offline
Server: Bismarck
Game: FFXI
user: Radiuz
Posts: 1088
By Bismarck.Zuidar 2013-04-01 16:52:15
Link | Quote | Reply
 
I just tried it in windower 3.4 and it received an "access violation in Initialize Method" and "IncomingChunk Method".

It did load up as normal when you first login but when it goes through your jobs.xmls, that's when it encountered fatal errors then unloaded spellcast
 Valefor.Shystie
Offline
Server: Valefor
Game: FFXI
user: Shystie
Posts: 55
By Valefor.Shystie 2013-04-06 17:15:10
Link | Quote | Reply
 
So I am still having issues with this. I turned off my firewall and antivirus to ensure I downloaded the update, logged on and still not working.

Any help is greatly appreciated.

Edit: I followed the link above hence the turning off of firewalls.
 Phoenix.Suji
Offline
Server: Phoenix
Game: FFXI
user: suji
Posts: 962
By Phoenix.Suji 2013-04-06 17:36:29
Link | Quote | Reply
 
Valefor.Shystie said: »
So I am still having issues with this. I turned off my firewall and antivirus to ensure I downloaded the update, logged on and still not working.

Any help is greatly appreciated.

Edit: I followed the link above hence the turning off of firewalls.
When you type "//reload spellcast" which version does it say? It should be 2.505 if you got the update properly.
 Valefor.Shystie
Offline
Server: Valefor
Game: FFXI
user: Shystie
Posts: 55
By Valefor.Shystie 2013-04-06 17:56:44
Link | Quote | Reply
 
That is the version I have =/
 Phoenix.Suji
Offline
Server: Phoenix
Game: FFXI
user: suji
Posts: 962
By Phoenix.Suji 2013-04-06 17:59:27
Link | Quote | Reply
 
Valefor.Shystie said: »
That is the version I have =/
Just to be clear, are you saying that when you do "/ja provoke <stnpc>" or something similar from within a macro, it fires the macro before you get to choose your target?

Or are you talking about freezing/lag when using <stnpc>?
 Valefor.Shystie
Offline
Server: Valefor
Game: FFXI
user: Shystie
Posts: 55
By Valefor.Shystie 2013-04-06 19:12:18
Link | Quote | Reply
 
/ma "Cure III" <stpc> auto targets me. Same macros I have had for years and are no longer working. I have to unload SC for them to work.

Edit: makes it work like /ma "Cure III" <me>
 Phoenix.Suji
Offline
Server: Phoenix
Game: FFXI
user: suji
Posts: 962
By Phoenix.Suji 2013-04-06 19:18:57
Link | Quote | Reply
 
I have no idea then, sorry. :( I'll pass along a word about your problem though.
 Valefor.Shystie
Offline
Server: Valefor
Game: FFXI
user: Shystie
Posts: 55
By Valefor.Shystie 2013-04-06 21:27:19
Link | Quote | Reply
 
Thank you!
 Ragnarok.Azryel
Offline
Server: Ragnarok
Game: FFXI
user: Azryel
Posts: 317
By Ragnarok.Azryel 2013-04-06 22:04:08
Link | Quote | Reply
 
Phoenix.Suji said: »
Just to be clear, are you saying that when you do "/ja provoke <stnpc>" or something similar from within a macro, it fires the macro before you get to choose your target?

Or are you talking about freezing/lag when using <stnpc>?

I'm not even using spellcast, and my <stnpc> macros are messed up... Just now in town to test it I used a basic /ja "Provoke" <stnpc>, and usually when I'd hit that sort of command a blue cursor would move to the closest available target (in this instance being a waypoint), and then wait for me to press the confirm button before locking on and executing... Now if I hit my macro it locks on with the hard cursor and THEN the blue cursor onto the waypoint and says in the log:

>> /ja "Provoke" <stnpc>
...A command error occured.

This has been going on since the Adoulin launch- is there anything I can do to fix this?
 Bismarck.Zuidar
Offline
Server: Bismarck
Game: FFXI
user: Radiuz
Posts: 1088
By Bismarck.Zuidar 2013-04-06 22:11:06
Link | Quote | Reply
 
I just downloaded the updated spellcast v2.50 2 hours ago and it's fixed
Offline
Posts: 7
By Tgun 2013-04-07 02:39:13
Link | Quote | Reply
 
I just downloaded 2.5 myself and im getting
"Critical Error: Failed to find Target" when it autoloads from the init file
 Valefor.Shystie
Offline
Server: Valefor
Game: FFXI
user: Shystie
Posts: 55
By Valefor.Shystie 2013-04-09 18:49:04
Link | Quote | Reply
 
So I finally got a fix to my script. Clairefox of Valefor informed me of this. She is way more knowledgeable of writing scripts and what not than I am. This is what had to change. Basically, we had to delete 5 lines of code. The lines were:
Code
<if SpellTargetType="MONSTER" NotValidTarget="*Enemy*" ValidTarget="*Self*">
      <action type="changetarget" target="<me>" />
</if>
<if SpellTargetType="NONE" ValidTarget="*Self*">
      <action type="changetarget" target="<me>" />
</if>

and

Code
<action type="DefaultTarget" target="<stpc>"/>



I hope this helps anyone else out that may have the same issues. Sorry if this was addressed somewhere else but there are dozens of pages and issues scattered everywhere and I only skimmed through some of them.

Thanks again Clairefox!
Log in to post.